This is the mail archive of the crossgcc@sources.redhat.com mailing list for the crossgcc project.

See the CrossGCC FAQ for lots more information.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: CYGWIN_DIR, LINUX_DIR and KERNELCONFIG in all.sh


Hi Robert,

You're right, there is a potential problem in all.sh when building cygwin targets with KERNELCONFIG. :-(

I've attached a patch to all.sh which should prevent this problem from occuring,

Best regards,

Steve

Daniel Kegel wrote:
Daniel Kegel wrote:

Robert P. J. Day wrote:

  a short question about some logic in all.sh.  if you're building a
CYGWIN target, then obviously you don't need to set LINUX_DIR, which
would normally mean that there's no associated need to set
KERNELCONFIG either, right?

  however, even if you're building a CYGWIN target, the value of
KERNELCONFIG will still be tested, which seems kind of redundant.  in
fact, if KERNELCONFIG refers to an unreadable file, the script will
abort, even though CYGWIN really doesn't need this variable at all.



The cygwin support is new, and may need a bit of polish, so this kind of issue is not surprising. Feel free to submit a patch to fix it.


If you do, please avoid wholesale reformatting or rewriting,
and make the patch as small as possible.
- Dan

------
Want more information? See the CrossGCC FAQ, http://www.objsw.com/CrossGCC/
Want to unsubscribe? Send a note to crossgcc-unsubscribe@sources.redhat.com



--- all.sh.orig	2004-11-10 07:43:23.000000000 +0000
+++ all.sh	2004-11-10 07:44:45.000000000 +0000
@@ -17,19 +17,20 @@
 test -z "${BINUTILS_DIR}"     && abort "Please set BINUTILS_DIR to the bare filename of the binutils tarball or directory"
 test -z "${GCC_DIR}"          && abort "Please set GCC_DIR to the bare filename of the gcc tarball or directory"
 
-# When building a cygwin target LINUX_DIR and GLIBC_DIR are not needed.
+# When building a cygwin target LINUX_DIR, GLIBC_DIR, and KERNELCONFIG
+# are not needed.
 if test "${CYGWIN_DIR}" = ""; then
   test -z "${LINUX_DIR}"        && abort "Please set LINUX_DIR to the bare filename of the kernel tarball or directory"
   test -z "${GLIBC_DIR}"        && abort "Please set GLIBC_DIR to the bare filename of the glibc tarball or directory"
+test -z "${KERNELCONFIG}"     && echo  "KERNELCONFIG not set, so not configuring linux kernel"
+test -z "${KERNELCONFIG}" || test -r "${KERNELCONFIG}"  || abort  "Can't read file KERNELCONFIG = $KERNELCONFIG, please fix."
 fi
 
-# Four environment variables are optional, namely:
+# Three environment variables are optional, namely:
 test -z "${DEJAGNU}"          && echo  "DEJAGNU not set, so not running any regression tests"
 test -z "${GCC_EXTRA_CONFIG}" && echo  "GCC_EXTRA_CONFIG not set, so not passing any extra options to gcc's configure script"
 test -z "${GLIBC_ADDON_OPTIONS}" && echo "GLIBC_ADDON_OPTIONS not set, so building all glibc add-on's"
-test -z "${KERNELCONFIG}"     && echo  "KERNELCONFIG not set, so not configuring linux kernel"
 
-test -z "${KERNELCONFIG}" || test -r "${KERNELCONFIG}"  || abort  "Can't read file KERNELCONFIG = $KERNELCONFIG, please fix."
 
 set -ex
 

------
Want more information?  See the CrossGCC FAQ, http://www.objsw.com/CrossGCC/
Want to unsubscribe? Send a note to crossgcc-unsubscribe@sources.redhat.com

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]